# Created by pyp2rpm-3.3.0
%global pypi_name asana

Name:           python-%{pypi_name}
Version:        0.7.0
Release:        3%{?dist}
Summary:        Asana API client

License:        MIT
URL:            http://github.com/asana/python-asana
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/Asana/python-asana/master/LICENSE
BuildArch:      noarch
 
# This is being packaged only for use in the ReviewBoard module,
# which is python2-only. It's not being supported for any other
# use-case, so it will not be built for Python 3.
BuildRequires:  python2-devel
BuildRequires:  python2-requests >= 2.14
BuildRequires:  python2-requests-oauthlib >= 0.8.0
BuildRequires:  python2-setuptools
BuildRequires:  python2-six >= 1.10

%description
Official Python client library for the Asana API v1


%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python2-requests >= 2.14
Requires:       python2-requests-oauthlib >= 0.8.0
Requires:       python2-six >= 1.10
%description -n python2-%{pypi_name}
Official Python client library for the Asana API v1


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
cp %{SOURCE1} .

%build
%py2_build

%install
%py2_install

%check
#The upstream test suite is not shipped in the tarball

%files -n python2-%{pypi_name}
%license LICENSE
%doc README.md
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Wed Jul 18 2018 Stephen Gallagher <sgallagh@redhat.com> - 0.7.0-3
- Make deps EPEL7-friendly

* Tue Apr 10 2018 Stephen Gallagher <sgallagh@redhat.com> - 0.7.0-2
- Add missing description
- Add LICENSE from upstream

* Wed Apr 04 2018 Stephen Gallagher <sgallagh@redhat.com> - 0.7.0-1
- Initial package.
